/*
  Residentes <- Empregados <- Professores
*/
#include <iostream>  
#include "residentes.hpp"
#include "empregados.hpp"

using namespace std; 

/*
  Empregados
*/
Empregado::Empregado() : Residente() {};

Empregado::Empregado(string _nome, unsigned long _cc, unsigned long _numEmpr) : Residente(_nome, _cc) {  
  numEmpr = _numEmpr; // Guarda o número de empregado
};

void Empregado::fixaInfo(string _nome, unsigned long _cc, unsigned long _numEmpr){
  Residente::fixaInfo(_nome,_cc);
  numEmpr = _numEmpr; // Guarda o número de empregado
}; 

void Empregado::mostraInfo(){
  Residente::mostraInfo();
  cout << "\nNúmero de Empregado: " << numEmpr;
}; 


/*
  Professores
*/

Professor::Professor() : Empregado() {};

Professor::Professor(string _nome, unsigned long _cc, unsigned long _numEmpr,
		     string _especializacao, unsigned int _numOrientacoes)
  : Empregado(_nome, _cc, _numEmpr) {
  especializacao = _especializacao; // Guarda a especialização
  numOrientacoes = _numOrientacoes; // Guarda o número de orientações
};


void Professor::fixaInfo(string _nome, unsigned long _cc, unsigned long _numEmpr,
			 string _especializacao, unsigned int _numOrientacoes ){
  Empregado::fixaInfo(_nome,_cc,_numEmpr);
  especializacao = _especializacao; // Guarda a especialização
  numOrientacoes = _numOrientacoes; // Guarda o número de orientações
}; 


void Professor::mostraInfo() {
  Empregado::mostraInfo();
  cout << "\nEspecialização:  " << especializacao;
  cout << "\nNúmero de Estudante de Mestrado/Doutoramento: " 
       << numOrientacoes << endl;
};

